#version unofficial MegaPov 0.5;   

#declare Spline1 = //Mouth
spline {
cubic_spline   
29,0       
32,1/2       
34,1/4       
37,0       
41,0       
45,3/4
50,3/4
60,1/2 
74,0
75,0
78,1/4
80,1/6
84,1/3.5
86,1/4
92,0
100,0
}    
//Mouth Width
#declare Spline2 =
spline {
cubic_spline
29,<1.25,1,1>
32,<1,1,1>      
34,<1,1,1>    
37,<1.25,1,1>
} 
//Eyelids  
#declare Spline3 =
spline {
cubic_spline
00,1/2 
49,1/2 
50,1/2
54,1 
54.5,1   
55,1 
56,-1
57,1
58,1
59,1
60,1
70,1
80,.75
100,.75
}      

//Eye Balance
#declare Spline4 =
spline {
cubic_spline
0,0
}            

//Eye Rotate 
#declare Spline5 =
spline {
cubic_spline
00,-40*x  
10,-40*x+15*y
20,-40*x
25,-30*x-40*y 
30,-30*x-40*y           
35,-40*x-30*y
36,-30*x-27.5*y
37,-30*x-25*y
40,<-15,-30,0>
50,<-45,-25,0>
60,<-45,-5,0>
70,<-35,0,0>
100,<-25,-10,0>
}            

//Head Rotation
#declare SHeadRotation =
spline {
cubic_spline
000,-20*x
015,<-20,-2,10>
045,-20*x
046,-20*x
050,<-15,25,0>
060,<-25,20,10>
100,<-30,15,0>
}  

//Body Rotation
#declare SBodyRotation =
spline {
cubic_spline
000,0
015,0
045,0
046,0
050,<5,15,0>      
055,<5,15,0>
062,<2.5,5,0>
65,<0,0,0>
}

#declare Breathing =
spline {
cubic_spline
0,0
.25,1
.5,0
.625,1
.75,1
.875,1/2
1,0
}
  
/*
#declare RArmURot = <0,0,0>+Spline7(clock)
#declare RArmLRot = <0,0,0>+Spline8(clock)       
#declare RArmWRot = <0,0,0>+Spline9(clock)
#declare RArmFRot = <0,0,0>+Spline10(clock)   
*/  

// Right Arm rotations 
//UpperArm
#declare Spline7 =
spline {
cubic_spline
40,<-7.5,0,-20>
45,<25,-20,-40>    
50,<25,-20,-40>
60,<0,-30,-20>
} 
//LowererArm
#declare Spline8 =
spline {
cubic_spline
40,98*x         
45,130*x    
50,130*x
60,95*x
}
//Wrist 
#declare Spline9 =
spline {
cubic_spline
40,<20,0,-20>
45,<0,0,50>   
50,<0,0,50>                 
60,<40,0,-20>                  
}      
//RobeFolds
#declare Spline10 =
spline {
cubic_spline
40,-20*y         
45,-30*y      
50,-30*y
65,-70*y
}     
//Fingers
#declare Spline10a =
spline {
cubic_spline
40,-<80,80,80,80> 
45,-<20,20,20,10>
50,-<20,20,20,10>
60,-<80,80,80,80> 
}




//Upper Left Arm
#declare Spline11 =
spline {
cubic_spline 
40,<-5,0,-20>
45,<25,-30,-40>     
50,<25,-30,-40>
60,<-5,-30,-20>
}
//Lower
#declare Spline12 =
spline {
cubic_spline
40,98*x         
45,110*x    
50,110*x
60,95*x
}      
//wrist
#declare Spline13 =
spline {
cubic_spline
40,<20,0,-20>
45,<35,0,-90> 
50,<20,0,-90>                  
60,<50,0,-20>                  
}      
//folds
#declare Spline14 =
spline {
cubic_spline
40,-20*y         
45,-40*y     
50,-40*y
58,-30*y
62,-20*y
}      
//fingers
#declare Spline14a =
spline {
cubic_spline
40,-<80,80,80,80> 
45,-<20,20,20,10>  
50,-<20,20,20,10>
60,-<80,80,80,80> 
}




#declare MouthOpen = 0+Spline1(clock*100).x*2
#declare MouthWidth =   0+Spline2(clock*100).x
#declare Lids = 0+Spline3(clock*100).x     
#declare EyeBalance = 0+Spline4(clock*100).x     
#declare EyeRotate = <0,0,0>+Spline5(clock*100)     
#declare HeadRotate = <0,0,0>+SHeadRotation(clock*100-10)     
#declare BodyRotate = <0,0,0>+SBodyRotation(clock*100-10)   

#declare RArmURot =  <0,0,0>+Spline7(clock*100-10)
#declare RArmLRot =  <0,0,0>+Spline8(clock*100-10)       
#declare RArmWRot =  <0,0,0>+Spline9(clock*100-10)
#declare RArmFRot = <0,0,0>+Spline10(clock*100-10)  
#declare RHRot = <0,0,0,0>+Spline10a(clock*100-10) 

#declare LArmURot = <0,0,0>+Spline11(clock*100-5)/2
#declare LArmLRot = <0,0,0>+Spline12(clock*100-5)       
#declare LArmWRot = <0,0,0>+Spline13(clock*100-5)
#declare LArmFRot = <0,0,0>+Spline14(clock*100-5)   
#declare LHRot = <0,0,0,0>+Spline14a(clock*100-5) 