#version unofficial MegaPov 0.5;   

#declare Spline1 = //Mouth
spline {
cubic_spline   
29,0       
32,1/2       
34,1/4       
37,0       
41,0       
45,3/4
50,3/4
60,1/2 
74,0
75,0
78,1/4
80,1/6
84,1/3.5
86,1/4
92,0
100,0
}    
//Mouth Width
#declare Spline2 =
spline {
cubic_spline
0,<1.25,1,1>
} 
//Eyelids  
#declare Spline3 =
spline {
cubic_spline
05,.75 
10,.5   
15,.5
20,.25
40,.25 
60,.25
60.1,.25
60.2,.25
65.2,.75
}      

//Eye Balance
#declare Spline4 =
spline {
cubic_spline
70,0   
80,-.75
}            

//Eye Rotate 
#declare Spline5 =
spline {
cubic_spline
0,<-25,10,0>
10,<-25,20,0>
20,<-40,0,0>
}            

//Head Rotation
#declare SHeadRotation =
spline {
cubic_spline
0,<-30,15,0>
10,<-20,20,10>     
30,<-10,-10,10> 
40,<-10,20,10>
}  

//Body Rotation
#declare SBodyRotation =
spline {
cubic_spline
000,0
015,0
040,<0,10,0>     
050,0
}

#declare Breathing =
spline {
cubic_spline
0,0
.25,1
.5,0
.625,1
.75,1
.875,1/2
1,0
}
  
/*
#declare RArmURot = <0,0,0>+Spline7(clock)
#declare RArmLRot = <0,0,0>+Spline8(clock)       
#declare RArmWRot = <0,0,0>+Spline9(clock)
#declare RArmFRot = <0,0,0>+Spline10(clock)   
*/  

// Right Arm rotations 
//UpperArm
#declare Spline7 =
spline {
cubic_spline
2,<0,-30,-20>
10,<30,-45,-20>
20,<45,0,-20>
30,<45,10,-20>
40,<25,0,-20>         
50,<25,-10,-20>
} 
//LowererArm
#declare Spline8 =
spline {
cubic_spline
2,95*x
10,65*x  
20,95*x
30,65*x
40,75*x  
50,65*x
}
//Wrist 
#declare Spline9 =
spline {
cubic_spline
9,<40,0,-20>           
10,<30,-75,-90>               
}      
//RobeFolds
#declare Spline10 =
spline {
cubic_spline
2,-70*y 
10,-70*y
10.1,-70*y          
10.2,-70*y          
20,0*y
}     
//Fingers
#declare Spline10a =
spline {
cubic_spline
0,-<80,80,80,80> 
}




//Upper Left Arm
#declare Spline11 =
spline {
cubic_spline 
5,<-5,-30,-20>   
10,<-5,0,-20>  
15,<-5,-15,-20>
}
//Lower
#declare Spline12 =
spline {
cubic_spline
0,95*x
}      
//wrist
#declare Spline13 =
spline {
cubic_spline
0,<50,0,-20>                  
}      
//folds
#declare Spline14 =
spline {
cubic_spline
0,-20*y
}      
//fingers
#declare Spline14a =
spline {
cubic_spline
0,-<80,80,80,80> 
}




#declare MouthOpen = 0+Spline1(clock*100).x*2
#declare MouthWidth =   0+Spline2(clock*100).x
#declare Lids = 0+Spline3(clock*100).x     
#declare EyeBalance = 0+Spline4(clock*100).x     
#declare EyeRotate = <0,0,0>+Spline5(clock*100)     
#declare HeadRotate = <0,0,0>+SHeadRotation(clock*100)     
#declare BodyRotate = <0,0,0>+SBodyRotation(clock*100)   

#declare RArmURot =  <0,0,0>+Spline7(clock*100)
#declare RArmLRot =  <0,0,0>+Spline8(clock*100)       
#declare RArmWRot =  <0,0,0>+Spline9(clock*100)
#declare RArmFRot = <0,0,0>+Spline10(clock*100)  
#declare RHRot = <0,0,0,0>+Spline10a(clock*100) 

#declare LArmURot = <0,0,0>+Spline11(clock*100)/2
#declare LArmLRot = <0,0,0>+Spline12(clock*100)       
#declare LArmWRot = <0,0,0>+Spline13(clock*100)
#declare LArmFRot = <0,0,0>+Spline14(clock*100)   
#declare LHRot = <0,0,0,0>+Spline14a(clock*100) 

#if (clock > .1)
#declare WandSwitch = on
#end