#version unofficial MegaPov 0.5;   
global_settings {
max_trace_level 40   
//post_process { overwrite_file find_edges{1,.125,.5,1,10,rgb .1}}   
assumed_gamma 1.125 

//motion_blur 5,.025

}
background {rgb 1}
/*camera {      
location <-2,0,-3>*4
direction 1
look_at -y
}*/  


camera {location <0,5,0>*4 direction 3 look_at <0,1,0>} 
light_source {<3,16,-7.5>*20 rgb 1}     


#declare BaseSpline = 
spline {
cubic_spline 
0,<2,3,-20>,
1/2,<0,3,-7>,
2/3,<-1/3,1,-1>, 
.79,<0,0,0>   
.795,<0,0,0>  
.8,<0,0,0>  
}


//motion_blur {
union {
#declare F=0
#declare NoF=100
#while (F<NoF)   
#declare Rnd1 = rand(seed(F*F*F+1*76876))*2
#declare Rnd2 = rand(seed(F*F*F*F*F*F-30*886))*2   
#declare Rnd3 = rand(seed(F*F*F*F*F+50*334876))*2 
#declare Floor = 0
#declare SP1 = vtransform(<0,Rnd1+Rnd3/8,0>,rotate 436546547*Rnd2 rotate -768946547*Rnd1 rotate 768946547*Rnd3)                      
#declare SP2 = vtransform(<0,Rnd2+Rnd1/8,0>,rotate 436546547*Rnd1 rotate -768946547*Rnd2 rotate 768946547*Rnd3)                      
#declare SP3 = vtransform(<0,-Rnd3+Rnd2/8,Rnd1>,rotate 436546547*Rnd3 rotate -768946547*Rnd2 rotate 768946547*Rnd1)                  
#declare SP4 = vtransform(<0,-Rnd1+Rnd3/4,Rnd1>,rotate 436546547*Rnd2 rotate -768946547*Rnd1 rotate 768946547*Rnd1)/2+ 
               <(Rnd1*5-2.5)/20,1/4.5,(Rnd3*8-4)/20>*<1,1,1/1.75>+<-1/8,0,-1/8>
#declare SP5 = <(Rnd1*5-2.5)/20,1/4.5,(Rnd3*8-4)/20>*<1,1,1/1.75>+<-1/8,0,-1/8>
#declare SP6 = <(Rnd3*5-2.5)/20,1/4.5,(Rnd2*8-4)/20>*<1,1,1/1.75>+<-1/8,0,-1/8>
#declare SP7 = <(Rnd2*5-2.5)/20,1/4.5,(Rnd1*8-4)/20>*<1,1,1/1.75>+<-1/8,0,-1/8>
#declare SP8 = <(Rnd1*5-2.5)/20,1/4.5,(Rnd3*8-4)/20>*<1,1,1/1.75>+<-1/8,0,-1/8>
                                                    

#if (SP1.y < Floor) #declare SP1 = <SP1.x,.25+Floor+Rnd1/3,SP1.z> #end
#if (SP2.y < Floor) #declare SP2 = <SP2.x,.25+Floor+Rnd2/3,SP2.z> #end
#if (SP3.y < Floor) #declare SP3 = <SP3.x,.25+Floor+Rnd1/3,SP3.z> #end
#if (SP4.y < Floor) #declare SP4 = <SP4.x,.25+Floor+Rnd3/3,SP4.z> #end
#if (SP5.y < Floor) #declare SP5 = <SP5.x,.25+Floor+Rnd1/3,SP5.z> #end
#if (SP6.y < Floor) #declare SP6 = <SP6.x,Floor+3.25/3,SP6.z> #end
#if (SP7.y < Floor) #declare SP7 = <SP7.x,Floor+3.25/3,SP7.z> #end
#if (SP8.y < Floor) #declare SP8 = <SP8.x,Floor+3.25/3,SP8.z> #end



#declare RandomFlySpline = 
spline {
cubic_spline 
0,   SP1
1/4, SP2
2/4, SP3
.625,SP4
.79,  SP5
.8,  SP5
.81,  SP5
1,   SP6
1.25,SP7
1.5, SP8
}
#declare point0 = <0,0,0>+RandomFlySpline(clock-.06+Rnd1/8)*2+BaseSpline(clock-.06+Rnd3/8)

#declare point1 = <0,0,0>+RandomFlySpline(clock-.0175+Rnd1/8)*2+BaseSpline(clock-.0175+Rnd3/8)
#declare point2 = <0,0,0>+RandomFlySpline(clock+Rnd1/8)*2+BaseSpline(clock+Rnd3/8)      
   
union {
sphere {0,.125/6 scale y/2 pigment {rgb 0}}
disc {0,z,.125/10 pigment {rgbt 1} scale y*2 rotate 45*z rotate 20*x translate .125/6*y translate -.125/6*x
rotate z*(rand(seed(F*F*clock+clock))*90-45)
}
disc {0,z,.125/10 pigment {rgbt 1} scale y*2 rotate -45*z rotate 20*x translate .125/6*y translate .125/6*x
rotate -z*(rand(seed(F*F*clock+clock))*90-45)
}   
translate point1+.0001
} 

#declare F=F+1 
#end     
} 



#declare BreadRim=
spline {
cubic_spline 
0,  < 4,0,-5>, // point#5 ... MUST MATCH THIS POINT
1/8,< 4,0, 5>, // point#2  ... THIS POINT ... 
2/8,< 1,0, 5>, // point#3 
3/8,<-4,0, 5>, // point#3     
4/8,<-4,0,-5>, // point#3      
5/8,< 1,0,-5>, // point#3
6/8,< 4,0,-5>, // point#4   
7/8,< 4.5,0,3.5>, // point#5 ... MUST MATCH THIS POINT  
1,  < 4,0,5>, // point#5 ... MUST MATCH THIS POINT  
}

#declare SliceofWhite =
union {  
//difference {
prism {
cubic_spline
0, // sweep the following shape from here ...
.4, // ... up through here
9, // the number of points making up the shape ...
< 4, -5>, // point#1 (control point... not on curve)
< 4,  5>, // point#2  ... THIS POINT ... 
<1,  5>, // point#3 
<-4,  5>, // point#3     
<-4,  -5>, // point#3      
<1,  -5>, // point#3
< 4, -5>, // point#4
< 4,  5>, // point#5 ... MUST MATCH THIS POINT
<-2,  0>  // point#6 (control point... not on curve)
}
//box {<-10,.4,-10>,<10,1.1,10>}
//}

blob {
threshold .1
#declare C=0
#while (C<400)
sphere {0,.25,1 scale <2,.9,2>  translate BreadRim((C/400)*7/8+1/8)+y*.2}
#declare C=C+1
#end 
}

pigment {slope y 
pigment_map {
[0 granite color_map {[0 rgb <1,.9,.8>][1 rgb (<1,.9,.8>+<.4,.25,.1>)/2*.75]} scale 2] 
[.125 rgb <.4,.25,.1>*1.5]
[.875 rgb <.4,.25,.1>*1.5]
[1 granite color_map {[0 rgb <1,.9,.8>][1 rgb (<1,.9,.8>+<.4,.25,.1>)/2*.75]} scale 2] 
} 
}
normal {wrinkles scale 8*z scale 8*x scale 1/20}
finish {ambient 0 diffuse 1.5 brilliance 3} 
scale y*4
}
union {
object {SliceofWhite}
object {SliceofWhite rotate <0,10,0> translate y*2}
#declare Frogleg = 
blob {threshold .1
sphere {0,1,1 scale <1.5,1,5>}  
sphere {0,1,1 scale <1,1,5> rotate 10*y}  
sphere {0,1,1 scale <1,1,5> rotate 10*y translate -.5*x}  
sphere {0,1,1 scale <1,.75,4> translate 6*z}  

sphere {0,1,1/2 scale <.25,.25,2> translate 2*z rotate 45*y translate 8.25*z}
sphere {0,1,1/2 scale <.25,.25,3> translate 3*z rotate 15*y translate 8.25*z}
sphere {0,1,1/2 scale <.25,.25,3> translate 3*z rotate -15*y translate 8.25*z}
sphere {0,1,1/2 scale <.25,.25,2> translate 2*z rotate -45*y translate 8.25*z}  

sphere {0,1.1,1/4 scale <.3,.25,2> translate 2*z rotate 45*y translate 8.25*z}
sphere {0,1.1,1/4 scale <.3,.25,3> translate 3*z rotate 15*y translate 8.25*z}
sphere {0,1.1,1/4 scale <.3,.25,3> translate 3*z rotate -15*y translate 8.25*z}
sphere {0,1.1,1/4 scale <.3,.25,2> translate 2*z rotate -45*y translate 8.25*z}
               
sphere {0,1.2,1/4 scale <.5,.25,2> translate 2*z rotate 45*y translate 8.25*z}
sphere {0,1.2,1/4 scale <.5,.25,3> translate 3*z rotate 15*y translate 8.25*z}
sphere {0,1.2,1/4 scale <.5,.25,3> translate 3*z rotate -15*y translate 8.25*z}
sphere {0,1.2,1/4 scale <.5,.25,2> translate 2*z rotate -45*y translate 8.25*z}

sphere {0,1,1/10 scale <5,.05,5> translate 11*z 
pigment {rgb y/6}
finish {ambient 0 diffuse 1 phong 0}
}
sphere {0,1,1/20 scale <4,.05,4> translate 11*z 
pigment {rgb y/6} 
finish {ambient 0 diffuse 1 phong 0}
}       
sphere {0,1,1/20 scale <3,.05,3> translate 11*z
pigment {rgb y/6}
finish {ambient 0 diffuse 1 phong 0}
}
pigment {rgb y/2}
finish {ambient 0 diffuse 1 phong 0}
}   

union {Frogleg scale .625 rotate 10*x rotate 20*y translate <.5,2,4.5>}
union {Frogleg scale .625 rotate 10*x rotate -20*y translate <-.5,2,4.5>} 
union {Frogleg scale .5   rotate 10*x rotate -120*y translate <-2.5,2,0>}
union {Frogleg scale .5   rotate 10*x rotate 120*y translate <2.5,2,0>}   
scale 1/3 
scale 1/3 
}  
//plane {y,0 pigment {rgb 1}}






